package cn.iocoder.yudao.module.system.service.tenant;


import cn.iocoder.yudao.module.system.controller.admin.tenant.vo.enterprise.TenantBaseInfoSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.tenant.TenantBaseInfoDO;

/**
 * 租户基本信息 Service 接口
 *
 * @author 系统管理员
 */
public interface TenantBaseInfoService {

    Long createTenantBaseInfo(TenantBaseInfoSaveReqVO createReqVO);

    void updateTenantBaseInfo(TenantBaseInfoSaveReqVO updateReqVO);

    TenantBaseInfoDO getTenantBaseInfo(Long tenantId);
}